#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_VIRTUALENV_INSTALL_ROOT=/usr/lib/kf6

PACKAGE=$(shell dh_listpackages)
DH_VENV_DIR=debian/$(PACKAGE)$(DH_VIRTUALENV_INSTALL_ROOT)/$(PACKAGE)

%:
	dh $@ -S --buildsystem=pybuild --with python-virtualenv --no-test

override_dh_virtualenv:
	dh_virtualenv --python=python3
	$(DH_VENV_DIR)/bin/python $(DH_VENV_DIR)/bin/pip install -U --upgrade-strategy eager -r requirements.frozen.txt
